pragma ComponentBehavior: Bound
import QtQuick
import QtQuick.Controls

Label {
    id: control

    required property Item buddy
    required property string mnemonic

    Mnemonic.label: control.mnemonic
    text: Mnemonic.richTextLabel

    Shortcut {
        sequence: control.Mnemonic.sequence

        onActivated: function () {
            control.buddy.forceActiveFocus();
        }
    }
}
