pragma ComponentBehavior: Bound
import QtQuick.Controls
import QtQuick.Layouts

Page {
    title: qsTr("Reservations")

    header: ToolBar {
        RowLayout {
            anchors.fill: parent

            ToolButton {
                action: logoutAction
            }
        }
    }

    MnemonicAction {
        id: logoutAction

        icon.name: "system-log-out"
        mnemonic: qsTr("Log &out")

        onTriggered: function () {
            Database.close();
        }
    }
}
