-- Deploy camper:available_id_document_types to pg
-- requires: id_document_type
-- requires: id_document_type_i18n

begin;

set search_path to camper;

insert into id_document_type (id_document_type_id, name)
values ('D', 'DNI')
     , ('P', 'Passport')
     , ('C', 'Driving license')
     , ('I', 'Identification document')
     , ('N', 'Spanish residence permit')
     , ('X', 'Residence permit from another Member State of the European Union')
;

insert into id_document_type_i18n (id_document_type_id, lang_tag, name)
values ('D', 'ca', 'DNI')
     , ('P', 'ca', 'Passaport')
     , ('C', 'ca', 'Permís de conduir')
     , ('I', 'ca', 'Carta o document d’identitat')
     , ('N', 'ca', 'Permís de residència espanyol')
     , ('X', 'ca', 'Permís de residència d’un altre estat membre de la Unió Europea')
     , ('D', 'es', 'DNI')
     , ('P', 'es', 'Pasaporte')
     , ('C', 'es', 'Permiso de conducir')
     , ('I', 'es', 'Carta o documento de identidad')
     , ('N', 'es', 'Permiso de residencia español')
     , ('X', 'es', 'Permiso de residencia de otro Estado Miembro de la Unión Europea')
     , ('D', 'fr', 'DNI')
     , ('P', 'fr', 'Passeport')
     , ('C', 'fr', 'Permis de conduire')
     , ('I', 'fr', 'Carte d’identité')
     , ('N', 'fr', 'Permis de séjour espagnol')
     , ('X', 'fr', 'Titre de séjour d’un autre État membre de l’Union européenne')
;

commit;
